Loading...
Searching...
No Matches
SoapySDR::Detail Namespace Reference

## Functions

template<typename Type>
std::enable_if< std::is_same< Type, bool >::value, Type >::type | StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_signed< Type >::value, Type >::type | StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_unsigned< Type >::value, Type >::type | StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< std::is_floating_point< Type >::value, Type >::type | StringToSetting (const std::string &s)
template<typename Type>
std::enable_if< std::is_same< typenamestd::decay< Type >::type, std::string >::value, Type >::type | StringToSetting (const std::string &s)
std::string | SettingToString (const bool &s)
std::string | SettingToString (const char *s)
std::string | SettingToString (const std::string &s)
template<typename Type>
std::string | SettingToString (const Type &s)

## Function Documentation

## SettingToString() [1/4]

std::string SoapySDR::Detail::SettingToString | ( | const bool & | s | ) |

inline

## SettingToString() [2/4]

std::string SoapySDR::Detail::SettingToString | ( | const char * | s | ) |

inline

## SettingToString() [3/4]

std::string SoapySDR::Detail::SettingToString | ( | const std::string & | s | ) |

inline

## SettingToString() [4/4]

template<typename Type>

std::string SoapySDR::Detail::SettingToString | ( | const Type & | s | ) |

## StringToSetting() [1/5]

template<typename Type>

std::enable_if< std::is_same< typenamestd::decay< Type >::type, std::string >::value, Type >::type SoapySDR::Detail::StringToSetting | ( | const std::string & | s | ) |

## StringToSetting() [2/5]

template<typename Type>

std::enable_if< std::is_floating_point< Type >::value, Type >::type SoapySDR::Detail::StringToSetting | ( | const std::string & | s | ) |

## StringToSetting() [3/5]

template<typename Type>

std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_unsigned< Type >::value, Type >::type SoapySDR::Detail::StringToSetting | ( | const std::string & | s | ) |

## StringToSetting() [4/5]

template<typename Type>

std::enable_if< notstd::is_same< Type, bool >::valueandstd::is_integral< Type >::valueandstd::is_signed< Type >::value, Type >::type SoapySDR::Detail::StringToSetting | ( | const std::string & | s | ) |

## StringToSetting() [5/5]

template<typename Type>

std::enable_if< std::is_same< Type, bool >::value, Type >::type SoapySDR::Detail::StringToSetting | ( | const std::string & | s | ) |